Node.js モジュール node-tar < 6.2.1 DoS

medium Nessus プラグイン ID 192685

概要

Node.js の JavaScript ランタイム環境モジュールはサービス拒否の脆弱性の影響を受けます。

説明

バージョン 6.2.1より前の nodejs モジュール node-tar では、ファイルの展開中に作成されるフォルダー数に関する検証がありません。その結果、攻撃者が悪意のあるファイルを使用して、ホストの CPU とメモリを使い果たし、nodejs クライアントをクラッシュさせる可能性があります。

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

node-tar バージョン 6.2.1 以降にアップグレードしてください。

参考資料

http://www.nessus.org/u?0b8d8923

プラグインの詳細

深刻度: Medium

ID: 192685

ファイル名: nodejs_module_tar_6_2_1.nasl

バージョン: 1.2

タイプ: local

エージェント: windows

ファミリー: Misc.

公開日: 2024/3/29

更新日: 2024/6/6

設定: 徹底したチェックを有効にする

サポートされているセンサー: Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

基本値: 4.3

現状値: 3.2

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS スコアのソース: CVE-2024-28863

CVSS v3

リスクファクター: Medium

基本値: 6.5

現状値: 5.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:node-tar_project:node-tar

必要な KB アイテム: Host/nodejs/modules/enumerated

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2023/3/21

脆弱性公開日: 2024/3/21

参照情報

CVE: CVE-2024-28863

IAVB: 2024-B-0027